> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Performs a hard or soft reset on a charge box.

> Please be aware that resetting may cause temporary downtime, depending on the charge box model, and plan usage accordingly.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml post /v2/chargeboxes/{id}/reset
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/chargeboxes/{id}/reset:
    post:
      tags:
        - Chargeboxes v2
      summary: Performs a hard or soft reset on a charge box.
      description: >-
        Please be aware that resetting may cause temporary downtime, depending
        on the charge box model, and plan usage accordingly.
      operationId: ChargeboxController_reset_v2
      parameters:
        - name: id
          required: true
          in: path
          description: ID that uniquely identifies the charge box
          schema:
            example: 123456
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetChargeboxRequestBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResetChargeboxResponseBodyDto'
        '400':
          description: Bad Request provided. A message will describe the issue.
        '403':
          description: Authorization header token is invalid or not provided.
        '500':
          description: Internal Server Error.
      security:
        - Authorization: []
components:
  schemas:
    ResetChargeboxRequestBodyDto:
      type: object
      properties:
        type:
          type: string
          description: This contains the type of reset that the charge box should perform.
          example: Soft
          enum:
            - Hard
            - Soft
      required:
        - type
    ResetChargeboxResponseBodyDto:
      type: object
      properties:
        error:
          description: This contains the error message if the action was rejected
          allOf:
            - $ref: '#/components/schemas/ErrorResponseDto'
        status:
          type: string
          description: >-
            This indicates whether the charge box is able to perform the
            reset/reboot
          example: Accepted
          enum:
            - Accepted
            - Rejected
      required:
        - status
    ErrorResponseDto:
      type: object
      properties:
        message:
          type: string
          description: Error message describing the issue
          example: Charge box is not connected
      required:
        - message
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````